trigger_switch = {
    on_trigger = has_province_flag
    {% for breakpoint in breakpoints -%}
    {{breakpoint.flag}} = { event_target:{{target}} = { wealth = {{breakpoint.value}} } }
    {% endfor -%}
}